Package org.eclipse.m2m.atl.dsls.tcs.injector

## Interface ModelAdapter

All Known Implementing Classes:
  `ASMModelAdapter`, `EMFTCSInjector.EMFInjectorAdapter`

    public interface ModelAdapter

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `createElement​(java.lang.String typeName)`
`java.lang.Object` `createEnumLiteral​(java.lang.String name)`
`java.lang.Object` `get​(java.lang.Object ame_, java.lang.String propertyName)`
`java.util.Set` `getElementsByType​(java.lang.String typeName)`
`java.lang.Object` `getModel()`
`java.lang.String` `getString​(java.lang.Object ame, java.lang.String propName)`
`java.lang.Object` `getType​(java.lang.Object me_)`
`boolean` `isAModelElement​(java.lang.Object me)`
`boolean` `isCandidate​(java.lang.Object ame, java.lang.String typeName)`
`void` `set​(java.lang.Object ame, java.lang.String prop, java.lang.Object value)`

### Method Detail

#### get

    java.lang.Object get​(java.lang.Object ame_,
                         java.lang.String propertyName)

#### createElement

    java.lang.Object createElement​(java.lang.String typeName)

#### getElementsByType

    java.util.Set getElementsByType​(java.lang.String typeName)

#### getType

    java.lang.Object getType​(java.lang.Object me_)

#### isCandidate

    boolean isCandidate​(java.lang.Object ame,
                        java.lang.String typeName)

#### set

    void set​(java.lang.Object ame,
             java.lang.String prop,
             java.lang.Object value)

#### getString

    java.lang.String getString​(java.lang.Object ame,
                               java.lang.String propName)

#### isAModelElement

    boolean isAModelElement​(java.lang.Object me)

#### createEnumLiteral

    java.lang.Object createEnumLiteral​(java.lang.String name)

#### getModel

    java.lang.Object getModel()